<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <LinearLayout
        android:id="@+id/rl_set"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#1BA5F1"
        android:paddingTop="@dimen/top_pind_sp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_set"
            android:layout_width="wrap_content"
            android:layout_height="45dp"
            android:layout_alignParentLeft="true"
            android:layout_marginLeft="15dp"
            android:src="@drawable/icon_arrow"
            />

        <TextView
            android:id="@+id/tv_set"
            android:layout_width="wrap_content"
            style="@style/text_style_toolbar_title"
            android:layout_toRightOf="@id/iv_find_task"
            android:text="设置" />
    </LinearLayout>

    <TextView
        android:id="@+id/tv_title"
        style="@style/text_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="基本资料"
        android:layout_margin="20dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toTopOf="@id/linearLayout"
        app:layout_constraintTop_toBottomOf="@+id/rl_set" />

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:background="#fff"
        android:orientation="vertical"
        android:layout_marginTop="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="实时上传"
                android:layout_marginLeft="20dp"
                android:layout_centerVertical="true"
                android:textColor="#333"
                android:textSize="15sp" />
            <Switch
                android:id="@+id/switch_real_upload"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="20dp"
                android:thumb="@drawable/switch_custom_thumb_selector"
                android:track="@drawable/switch_custom_track_selector" />

        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#F1F0F0" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="自动保存"
                android:layout_marginLeft="20dp"
                android:layout_centerVertical="true"
                android:textColor="#333"
                android:textSize="15sp"/>
            <Switch
                android:id="@+id/switch_autosave"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="20dp"
                android:thumb="@drawable/switch_custom_thumb_selector"
                android:track="@drawable/switch_custom_track_selector" />

        </RelativeLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:background="#fff"
        android:orientation="vertical"
        android:layout_marginTop="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/linearLayout">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="任务通知"
                android:layout_marginLeft="20dp"
                android:layout_centerVertical="true"
                android:textColor="#333"
                android:textSize="15sp" />
            <Switch
                android:id="@+id/switch_inform"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="20dp"
                android:thumb="@drawable/switch_custom_thumb_selector"
                android:track="@drawable/switch_custom_track_selector" />

        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#F1F0F0" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="流量提醒"
                android:layout_marginLeft="20dp"
                android:layout_centerVertical="true"
                android:textColor="#333"
                android:textSize="15sp"/>
            <Switch
                android:id="@+id/switch_traffic_remind"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="20dp"
                android:thumb="@drawable/switch_custom_thumb_selector"
                android:track="@drawable/switch_custom_track_selector" />

        </RelativeLayout>
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/relativeLayout"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginRight="20dp"
        android:background="#fff"
        android:gravity="center_vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout1">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:text="清除缓存"
            android:textColor="#333"
            android:textSize="15sp" />
    </RelativeLayout>

    <Button
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="40dp"
        android:layout_marginRight="20dp"
        android:text="退出登录"
        style="@style/user_data_style"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/relativeLayout" />
</androidx.constraintlayout.widget.ConstraintLayout>